package com.friday.custody.service.trustService.zhongtai.utils;

import org.apache.commons.codec.digest.DigestUtils;

public class Md5Util {
    /**
     * MD5 加密方法
     * @param text 明文
     * @param appSecret 密钥
     * @return 密文
     * @throws Exception
     */
    public static String md5(String text, String appSecret) throws Exception {
        //加密后的字符串
        String encodeStr= DigestUtils.md5Hex(text + appSecret);
        System.out.println("MD5 加密后的字符串为:encodeStr="+encodeStr);
        return encodeStr;
    }

    /**
     * MD5 验证方法
     * @param text 明文
     * @param appSecret 密钥
     * @param md5 密文
     * @return true/false
     * @throws Exception
     */
    public static boolean verify(String text, String appSecret, String md5) {
        //根据传入的密钥进行验证
        String md5Text = null;
        try {
            md5Text = md5(text, appSecret);
        }catch (Exception e) {
            e.printStackTrace();
        }
        if (md5Text == null)
        {
            return false;
        }
        if(md5Text.equalsIgnoreCase(md5)) {
            System.out.println("MD5 验证通过");
            return true;
        }
        return false;
    }
}

